#include <curl/curl.h>
#include "text.h"
#include "histogram.h"
#include "svg.h"
#include "histogram_internal.h"
#include <iostream>
#include <vector>
using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};
Input input_data(istream& in)
{
    size_t number_count;
    in >> number_count;
    Input k;
    k.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        in >> k.numbers[i];
    }
    in >> k.bin_count;
    return k;
}
int
main(int argc, char* argv[]) {
    if (argc > 1) {
        CURL* curl = curl_easy_init();
        if (curl) {
            CURLcode res;
            curl_easy_setopt(curl, CURLOPT_URL, argv[1]);
            res = curl_easy_perform(curl);
            curl_easy_cleanup(curl);
        }
        return 0;
    }
    curl_global_init(CURL_GLOBAL_ALL);
    Input in = input_data(cin);
    auto ch = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(ch);
    return 0;
}